Bug 13704 - Confusing 'Unused Hardware Support' screen (Live installer)
Summary: Confusing 'Unused Hardware Support' screen (Live installer)
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
: Normal normal
Target Milestone: Mageia 6
Assignee: Mageia tools maintainers
QA Contact:
URL:
Whiteboard:
Keywords: 6sta1, USABILITY
Depends on:
Blocks:
 
Reported: 2014-07-08 11:48 CEST by Barry Jackson
Modified: 2016-10-10 23:16 CEST (History)
5 users (show)

See Also:
Source RPM: draklive-install
CVE:
Status comment:


Attachments

Description Barry Jackson 2014-07-08 11:48:26 CEST
Description of problem:
The Live installer Hardware support screen says:
"We have detected that some packages are not needed for your system configuration.
We will remove the following packages, unless you choose otherwise"

* (checkbox already checked) Unused Hardware Support"

1. The checkbox is already checked indicating that this is the default and according to the preamble it will remove support for unused hardware unless a change is made by the user.

2. However the Legend against the checkbox says "Unused Hardware Support" implying that checking the box will retain support for unused hardware.

1 & 2 contradict each other.

Yes, Thierry (before you say it ;) this has been like this for ever, but it has always confused me (a native English speaker) and I am sure many other people too. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.


Reproducible: 

Steps to Reproduce:
Comment 1 Barry Jackson 2014-07-08 12:05:31 CEST
Maybe it should say:
"We will remove the following packages if you un-check the box below"
If that is the correct interpretation.
Comment 2 Barry Jackson 2014-12-18 12:12:23 CET
On further testing in Mga5B2 it seems that the logic is reversed.

With both boxes checked it proceeds to remove packages, which is correct according to the preamble text. The user takes no action and the packages are removed. 

However it is the text against the checkbox that is incorrect/confusing.

"Unused hardware support" when checked would, to me, indicate that support for unused hardware would be retained, so to remove the unwanted packages I would un-check it.

The check box should be labelled "Remove support for unused hardware" and similarly for the other check box.
Comment 3 Barry Jackson 2015-03-08 23:02:17 CET
This still affects Mga5-RC
Comment 4 Marja van Waes 2015-03-09 00:21:31 CET
I propose to change the preamble into:

"We have detected that some packages are not needed for your system configuration.
We will remove the following packages, unless you de-select them"

and leave the rest the same.

The reason is, that I cannot properly translate your proposal "We will remove the following packages,.......: Remove support for ... " 

After "We will remove the following packages....:", in my language a list and/or category of packages is expected. "Remove support for....." is neither, even if it is /about/ a category.

If you agree, then I can commit s/you choose otherwise/de-select them/ to git right after Mageia 5 release.
Not earlier, because there is no way this can be translated in time for enough languages before stable release, so most translations would show the English string.

I wouldn't know how to build a test-LiveCD, though :-/

Btw, you addressed tv, but Live installer was blino's toy and now it is tmb's ;-)
Comment 5 Barry Jackson 2015-03-09 00:52:05 CET
Well that would be better than the current situation, but unless it can be done *before* the final Live isos are released, then it will not appear until Mga6, as it only affects the live installer.

Can the check box labels not be also changed to just 'Hardware' and 'Languages' (I think the second is languages from memory) so that the labels do not imply anything.
At present "Unused hardware support" means in English, "Support for unused hardware" which is the opposite to the action of the check box.
Comment 6 Marja van Waes 2015-03-09 09:23:07 CET

In my langu(In reply to Barry Jackson from comment #5)
> Well that would be better than the current situation, but unless it can be
> done *before* the final Live isos are released, then it will not appear
> until Mga6, as it only affects the live installer.

Indeed, it'll be Mga6
Sorry, we cannot break the translation for the rest of the world just to make it better for the English.

> 
> Can the check box labels not be also changed to just 'Hardware' and
> 'Languages' (I think the second is languages from memory) so that the labels
> do not imply anything.

Then it would become: 
"We will remove the following packages, unless you de-select them:
v Hardware
v Localization"

I can't do that, sorry, to me that sounds worse than it was :-(

Btw, IIUC, the strings come from 
http://gitweb.mageia.org/software/drakx/tree/perl-install/pkgs.pm (I do not find them in .../software/draklive-install )

A screenshot of the current screen is here: https://wiki.mageia.org/en/File:UnusedHardware.PNG

CC'ing isolde, because she's a native English speaker, knows a lot about translating and also had a problem with this Live installer screen when she started using Mageia.

Also CC'ing doktor5000, because he knows more about Mageia users and what confuses them, than anyone else. And he's the one who'll have to deal with many of them, if we make that screen worse instead of better.

@ Florian
How many users have complained about this screen in the forums?
Comment 7 Marja van Waes 2015-03-09 09:49:58 CET
Btw, IIUC the "Advanced" screen uses "Unused hardware support" and "Unused localization", too. They seem to be labels for the lists you see after clicking the "Advanced" button. See the "{ label => " parts in pkgs.pm :


N("We have detected that some packages are not needed for your system configuration.") . "\n" .
	N("We will remove the following packages, unless you choose otherwise:"),
	[
	 if_(@unused_hardware_packages,
	     { text => N("Unused hardware support"), val => \$hardware, type => "bool" },
	     { label => N("Unused hardware support") . "\n" . join("\n", map { "  " . $_ } sort(@unused_hardware_packages)), advanced => 1 },
	 ),
	 if_(@unselected_locales,
	     { text => N("Unused localization"), val => \$locales, type => "bool" },
	     { label => N("Unused localization") . "\n"  . join("\n", map { "  " . $_ } sort(@unselected_locales)), advanced => 1 },


We should check the advanced screen, too.
Comment 8 Florian Hubold 2015-03-09 20:34:57 CET
(In reply to Marja van Waes from comment #6)
> 
> @ Florian
> How many users have complained about this screen in the forums?

Quite a lot, for those that simply accepted the defaults, as often it removes a lot more then expected. See e.g. https://wiki.mageia.org/en/Mageia_2_Errata#Removing_unused_drivers.2Flocales
To clarify, in the past the default would remove the packages unless the user chose otherwise IIRC.

But now for your actual question :)
For the translation, nobody complained AFAIR. If it would be me, simply skip that screen completely, then everybody should be happy. IMHO removing hardware support/unused drivers is never a good idea, as it might change after installation. Remove a currently unused wireless driver, and need it later on, and have no cable at hand to bootstrap your machine to be able to install the driver. Chicken/egg problem.
Comment 9 Marja van Waes 2015-03-09 21:01:52 CET
(In reply to Florian Hubold from comment #8)
> (In reply to Marja van Waes from comment #6)
> > 
> > @ Florian
> > How many users have complained about this screen in the forums?
> 
> Quite a lot, for those that simply accepted the defaults, as often it
> removes a lot more then expected. See e.g.
> https://wiki.mageia.org/en/Mageia_2_Errata#Removing_unused_drivers.2Flocales
> To clarify, in the past the default would remove the packages unless the
> user chose otherwise IIRC.

Luckily, very many drivers are kept now, see the long list after: 
    # Packages to not remove even if they seem unused
    my @wanted_hardware_packages = qw(
in http://gitweb.mageia.org/software/drakx/tree/perl-install/pkgs.pm
> 
> But now for your actual question :)
> For the translation, nobody complained AFAIR. If it would be me, simply skip
> that screen completely, then everybody should be happy. IMHO removing
> hardware support/unused drivers is never a good idea, as it might change
> after installation. Remove a currently unused wireless driver, and need it
> later on, and have no cable at hand to bootstrap your machine to be able to
> install the driver. Chicken/egg problem.

For drivers, that is a good idea. For locales, if that screen is skipped, it might be better to keep the current default.
Comment 10 Dick Gevers 2016-05-26 17:20:50 CEST
IMHO this should be fixed for 6 final. It is old enough to make this understandable for other than devs and testers

Note You need to log in before you can comment on or make changes to this bug.